# Export bulk PDF files The background job that compresses large number of PDF(s) into ZIP files. For answers to frequently asked questions regarding exporting bulk PDF files, see Export Bulk PDF Files FAQs. Note: Do not include multiple objectIds with the same PDF file names in a single bulk PDF upload request. Endpoint: POST /v1/operations/bulk-pdf Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `documents` (array, required) An array that contains a collection of objects where each object contains billing document type and their IDs. Example: [{"docType":"Invoice","objectIds":["402880de8ce7edc3018ce7f18404315a","402880de8ce7edc3018ce7f18e0b3804"]}] - `documents.docType` (string) The type of billing document. Enum: "Invoice", "CreditMemo", "DebitMemo" - `documents.objectIds` (array) The collection of billing document IDs. Example: ["402880de8ce7edc3018ce7f18404315a","402880de8ce7edc3018ce7f18e0b3804"] - `fileName` (string, required) The prefix part of output file name(s). The response will include multiple file URLs. The number of zip files generated corresponds to the number of invoice IDs. Each zip file contains up to 1000 document IDs. Eg: if fileName is "all-invoices-posted-jan-2024" then fileURL(s) will start with the file name followed by an underscore and a number. For instance, all-invoices-posted-jan-2024_1.zip, all-invoices-posted-jan-2024_2.zip, and so on. Example: "all-invoices-posted-jan-2024" - `name` (string) The name of the job. Example: "BulkPDFGenerationJobV1" - `indexFileFormat` (string, required) The format of the index file. It contains the metadata about the files and their contents. Enum: "JSON", "CSV" - `generateMissingPDF` (boolean) This flag controls the behavior of whether to generate PDF(s) for billing documents that do not already have one. - setting it to true indicates service would go through the provided document ID list, find the billing documents that do not have a generated PDF, generate them all at once, and then proceed to the zipping process. - setting it to false indicates service would go through the provided document ID list, find the billing documents that do not have a generated PDF, mark them as Invalid, and skip them from the zipping process. IDs marked as invalid will be included in the response. The default value is false. Example: true - `ignoreArchivedFiles` (boolean) Ignores archived PDF files during export without causing the entire job request to fail when enabled. Example: true - `persistIndexFile` (boolean) Controls the generation of the index file, allowing you to efficiently handle high volumes of requests. By default, this field is set to true. - When set to true, the index file is generated and included in the zip file. - When set to false, the index file is not generated and consequently not included in the zip file. ## Response 200 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. Example: true - `jobId` (string) Unique Id for the Job Triggered. Example: "402880de8ce7edc3018ce7f18404312a" - `invalidIds` (any) Collection of Ids that are not valid. Id is considered to be invalid if, * Billing Document Id doesn't exist in the database for the corresponding Billing Document Type * generateMissingPDF property is false in the Job Request and Valid PDF doesn't exist for the Billing Document Id Example: [] - `skippedDocuments` (array) The skippedDocuments array will be empty unless archived files are marked to skip during job creation. - `skippedDocuments.docType` (string) The document type of the skipped document. Enum: "Invoice", "CreditMemo", "DebitMemo" - `skippedDocuments.objectIds` (array) The IDs of the skipped document objects. ## Response 400 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.